DETERMINANT(3G)

NAME
determinant - calculate the determinant of a matrix

DECLARATION

float determinant(mat2 m);

float determinant(mat3 m);

float determinant(mat4 m);

double determinant(dmat2 m);

double determinant(dmat3 m);

double determinant(dmat4 m);

PARAMETERS

m
    Specifies the matrix of which to take the determinant.

DESCRIPTION

determinant returns the determinant of the matrix m.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
determinant (float) | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
determinant (double) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

transpose(), inverse()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group